Create webhook
POST
/api/v1/projects/{projectId}/webhooks
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Request Body required
application/jsonurl
string (uri)
REQUIRED
events
string[]
REQUIRED
Array of:
Responses
201
Webhook created. Secret is returned only on creation.
No response body
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/webhooks' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "url": "https://example.com", "events": [ "string" ]}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/webhooks', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "url": "https://example.com", "events": [ "string" ] })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/webhooks', headers=headers, json={ "url": "https://example.com", "events": [ "string" ]})print(response.json())
API Playground
Try this endpoint
POST
/api/v1/projects/{projectId}/webhooks